{
	"name": "query/rcl/productivity_report/time_period.json",
	"database": "4d",
	"parameter": {
		"start_date": "",
		"end_date": "",
		"load_group": []
	},
	"set": {
		"creation_date": [
			[
				"rcl_creation_date",
				">=",
				"start_date"
			],
			"and",
			[
				"rcl_creation_date",
				"<=",
				"end_date"
			]
		],
		"finished_date": [
			[
				"rcl_finished_date",
				">=",
				"start_date"
			],
			"and",
			[
				"rcl_finished_date",
				"<=",
				"end_date"
			]
		],
		"date_period": [
			"creation_date",
			"or",
			"finished_date"
		]
	},
	"query": [
		"date_period"
	],
	"field": [
		"rcl_fault_made_load_group_id",
		"rcl_reclamation_id",
		"rcl_state",
		"rcl_finished_date",
		"rcl_production_lot",
		"rcl_purchase_product_id",
		"rcl_product_id",
		"pr_name",
		"rcl_repair_amount",
		"rcl_rejected_amount",
		"rcl_record_id"
	]
}